# Copyright (C) 2000-2002 HighPoint Technologies, Inc.
# rules.mak for HPT370/372/372A Linux driver
#

# Default Settings

#
# Driver version number.
#
ifndef DRIVER_VERSION
DRIVER_VERSION = 1.3
endif

ifndef DRIVER_REBUILD
DRIVER_REBUILD = 1
endif

ifndef SUPPORT_IOCTL
SUPPORT_IOCTL = 1
endif

#
# Function selecting.
#
FUNCSELECT = 

ifeq ($(DRIVER_REBUILD), 1)
FUNCSELECT += -DDRIVER_REBUILD 
endif

ifeq ($(SUPPORT_IOCTL), 1)
FUNCSELECT += -DSUPPORT_IOCTL
endif

#
# Debug Options:
#
DEBUGOPT = -O2

ifeq ($(DEBUG),1)
DEBUGOPT += -DDEBUG
ifdef DEBUG_LEVEL
DEBUGOPT += -DDEBUG_LEVEL=$(DEBUG_LEVEL)
else
DEBUGOPT += -DDEBUG_LEVEL=1
endif
endif

CC = gcc

COMPANYDEF = -DHIGHPOINT

CFLAGS = ${COMPANYDEF} ${COMPNAMES} ${FUNCSELECT} ${DEBUGOPT} ${INCLS} -Wall \
		-Wstrict-prototypes -fomit-frame-pointer 
		
.c.o:
	$(CC) $(CFLAGS) -c $*.c
